Package com.stardog.stark.vocabs

# Class PROV

java.lang.Object
com.stardog.stark.vocabs.PROV

public final class PROV extends Object
Auto-generated vocabulary class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IRI`
  `actedOnBehalfOf`
  `static final IRI`
  `activity`
  `static final IRI`
  `Activity`
  `static final IRI`
  `ActivityInfluence`
  `static final IRI`
  `agent`
  `static final IRI`
  `Agent`
  `static final IRI`
  `AgentInfluence`
  `static final IRI`
  `alternateOf`
  `static final IRI`
  `aq`
  `static final IRI`
  `Association`
  `static final IRI`
  `atLocation`
  `static final IRI`
  `atTime`
  `static final IRI`
  `Attribution`
  `static final IRI`
  `Bundle`
  `static final IRI`
  `category`
  `static final IRI`
  `Collection`
  `static final IRI`
  `Communication`
  `static final IRI`
  `component`
  `static final IRI`
  `constraints`
  `static final IRI`
  `definition`
  `static final IRI`
  `Delegation`
  `static final IRI`
  `Derivation`
  `static final IRI`
  `dm`
  `static final IRI`
  `editorialNote`
  `static final IRI`
  `editorsDefinition`
  `static final IRI`
  `EmptyCollection`
  `static final IRI`
  `End`
  `static final IRI`
  `endedAtTime`
  `static final IRI`
  `entity`
  `static final IRI`
  `Entity`
  `static final IRI`
  `EntityInfluence`
  `static final IRI`
  `generated`
  `static final IRI`
  `generatedAtTime`
  `static final IRI`
  `Generation`
  `static final IRI`
  `hadActivity`
  `static final IRI`
  `hadGeneration`
  `static final IRI`
  `hadMember`
  `static final IRI`
  `hadPlan`
  `static final IRI`
  `hadPrimarySource`
  `static final IRI`
  `hadRole`
  `static final IRI`
  `hadUsage`
  `static final IRI`
  `Influence`
  `static final IRI`
  `influenced`
  `static final IRI`
  `influencer`
  `static final IRI`
  `InstantaneousEvent`
  `static final IRI`
  `invalidated`
  `static final IRI`
  `invalidatedAtTime`
  `static final IRI`
  `Invalidation`
  `static final IRI`
  `inverse`
  `static final IRI`
  `Location`
  `static final IRI`
  `n`
  `static final String`
  `NAMESPACE`
  `static final IRI`
  `order`
  `static final IRI`
  `Organization`
  `static final IRI`
  `Person`
  `static final IRI`
  `Plan`
  `static final IRI`
  `PrimarySource`
  `static final IRI`
  `qualifiedAssociation`
  `static final IRI`
  `qualifiedAttribution`
  `static final IRI`
  `qualifiedCommunication`
  `static final IRI`
  `qualifiedDelegation`
  `static final IRI`
  `qualifiedDerivation`
  `static final IRI`
  `qualifiedEnd`
  `static final IRI`
  `qualifiedForm`
  `static final IRI`
  `qualifiedGeneration`
  `static final IRI`
  `qualifiedInfluence`
  `static final IRI`
  `qualifiedInvalidation`
  `static final IRI`
  `qualifiedPrimarySource`
  `static final IRI`
  `qualifiedQuotation`
  `static final IRI`
  `qualifiedRevision`
  `static final IRI`
  `qualifiedStart`
  `static final IRI`
  `qualifiedUsage`
  `static final IRI`
  `Quotation`
  `static final IRI`
  `Revision`
  `static final IRI`
  `Role`
  `static final IRI`
  `sharesDefinitionWith`
  `static final IRI`
  `SoftwareAgent`
  `static final IRI`
  `specializationOf`
  `static final IRI`
  `Start`
  `static final IRI`
  `startedAtTime`
  `static final IRI`
  `todo`
  `static final IRI`
  `unqualifiedForm`
  `static final IRI`
  `Usage`
  `static final IRI`
  `used`
  `static final IRI`
  `value`
  `static final IRI`
  `wasAssociatedWith`
  `static final IRI`
  `wasAttributedTo`
  `static final IRI`
  `wasDerivedFrom`
  `static final IRI`
  `wasEndedBy`
  `static final IRI`
  `wasGeneratedBy`
  `static final IRI`
  `wasInfluencedBy`
  `static final IRI`
  `wasInformedBy`
  `static final IRI`
  `wasInvalidatedBy`
  `static final IRI`
  `wasQuotedFrom`
  `static final IRI`
  `wasRevisionOf`
  `static final IRI`
  `wasStartedBy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PROV()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      - Constant Field Values

  - ### InstantaneousEvent

    public static final IRI InstantaneousEvent

  - ### Entity

    public static final IRI Entity

  - ### Location

    public static final IRI Location

  - ### Collection

    public static final IRI Collection

  - ### Agent

    public static final IRI Agent

  - ### Organization

    public static final IRI Organization

  - ### Plan

    public static final IRI Plan

  - ### Quotation

    public static final IRI Quotation

  - ### Attribution

    public static final IRI Attribution

  - ### Influence

    public static final IRI Influence

  - ### Association

    public static final IRI Association

  - ### Usage

    public static final IRI Usage

  - ### AgentInfluence

    public static final IRI AgentInfluence

  - ### EmptyCollection

    public static final IRI EmptyCollection

  - ### Bundle

    public static final IRI Bundle

  - ### Delegation

    public static final IRI Delegation

  - ### Revision

    public static final IRI Revision

  - ### PrimarySource

    public static final IRI PrimarySource

  - ### Communication

    public static final IRI Communication

  - ### Start

    public static final IRI Start

  - ### End

    public static final IRI End

  - ### Invalidation

    public static final IRI Invalidation

  - ### Derivation

    public static final IRI Derivation

  - ### SoftwareAgent

    public static final IRI SoftwareAgent

  - ### Activity

    public static final IRI Activity

  - ### Person

    public static final IRI Person

  - ### Role

    public static final IRI Role

  - ### ActivityInfluence

    public static final IRI ActivityInfluence

  - ### Generation

    public static final IRI Generation

  - ### EntityInfluence

    public static final IRI EntityInfluence

  - ### wasStartedBy

    public static final IRI wasStartedBy

  - ### influenced

    public static final IRI influenced

  - ### qualifiedDelegation

    public static final IRI qualifiedDelegation

  - ### atLocation

    public static final IRI atLocation

  - ### wasInformedBy

    public static final IRI wasInformedBy

  - ### wasInfluencedBy

    public static final IRI wasInfluencedBy

  - ### hadRole

    public static final IRI hadRole

  - ### hadMember

    public static final IRI hadMember

  - ### qualifiedAssociation

    public static final IRI qualifiedAssociation

  - ### specializationOf

    public static final IRI specializationOf

  - ### influencer

    public static final IRI influencer

  - ### hadActivity

    public static final IRI hadActivity

  - ### used

    public static final IRI used

  - ### invalidated

    public static final IRI invalidated

  - ### wasInvalidatedBy

    public static final IRI wasInvalidatedBy

  - ### qualifiedAttribution

    public static final IRI qualifiedAttribution

  - ### wasEndedBy

    public static final IRI wasEndedBy

  - ### qualifiedQuotation

    public static final IRI qualifiedQuotation

  - ### qualifiedEnd

    public static final IRI qualifiedEnd

  - ### hadGeneration

    public static final IRI hadGeneration

  - ### wasRevisionOf

    public static final IRI wasRevisionOf

  - ### activity

    public static final IRI activity

  - ### qualifiedInvalidation

    public static final IRI qualifiedInvalidation

  - ### qualifiedCommunication

    public static final IRI qualifiedCommunication

  - ### entity

    public static final IRI entity

  - ### qualifiedRevision

    public static final IRI qualifiedRevision

  - ### wasQuotedFrom

    public static final IRI wasQuotedFrom

  - ### actedOnBehalfOf

    public static final IRI actedOnBehalfOf

  - ### wasGeneratedBy

    public static final IRI wasGeneratedBy

  - ### hadUsage

    public static final IRI hadUsage

  - ### qualifiedUsage

    public static final IRI qualifiedUsage

  - ### wasAttributedTo

    public static final IRI wasAttributedTo

  - ### qualifiedDerivation

    public static final IRI qualifiedDerivation

  - ### hadPlan

    public static final IRI hadPlan

  - ### qualifiedGeneration

    public static final IRI qualifiedGeneration

  - ### qualifiedInfluence

    public static final IRI qualifiedInfluence

  - ### qualifiedPrimarySource

    public static final IRI qualifiedPrimarySource

  - ### alternateOf

    public static final IRI alternateOf

  - ### agent

    public static final IRI agent

  - ### wasAssociatedWith

    public static final IRI wasAssociatedWith

  - ### wasDerivedFrom

    public static final IRI wasDerivedFrom

  - ### qualifiedStart

    public static final IRI qualifiedStart

  - ### hadPrimarySource

    public static final IRI hadPrimarySource

  - ### generated

    public static final IRI generated

  - ### invalidatedAtTime

    public static final IRI invalidatedAtTime

  - ### endedAtTime

    public static final IRI endedAtTime

  - ### atTime

    public static final IRI atTime

  - ### value

    public static final IRI value

  - ### generatedAtTime

    public static final IRI generatedAtTime

  - ### startedAtTime

    public static final IRI startedAtTime

  - ### sharesDefinitionWith

    public static final IRI sharesDefinitionWith

  - ### constraints

    public static final IRI constraints

  - ### inverse

    public static final IRI inverse

  - ### editorialNote

    public static final IRI editorialNote

  - ### component

    public static final IRI component

  - ### dm

    public static final IRI dm

  - ### unqualifiedForm

    public static final IRI unqualifiedForm

  - ### editorsDefinition

    public static final IRI editorsDefinition

  - ### aq

    public static final IRI aq

  - ### qualifiedForm

    public static final IRI qualifiedForm

  - ### category

    public static final IRI category

  - ### todo

    public static final IRI todo

  - ### n

    public static final IRI n

  - ### order

    public static final IRI order

  - ### definition

    public static final IRI definition

- ## Constructor Details

  - ### PROV

    public PROV()